Bug 137060 - emacs cannot determine appropriate font during startup.
emacs cannot determine appropriate font during startup.
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Depends On:
  Show dependency treegraph
Reported: 2004-10-25 12:44 EDT by Johannes Kaiser
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-24 08:41:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Johannes Kaiser 2004-10-25 12:44:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041001

Description of problem:
When I start emacs from a shell the window opens but shows only boxes
instead of text. The shell displays this error/warning message:

Warning: Cannot convert string
"-*-helvetica-medium-r-*--*-120-*-*-*-*-iso8859-1" to type FontStruct

However, xemacs works fine and emacs works fine when started on a
different machine/Xserver through ´ssh -X´. Therefore, I guess that I
would need some other X11 package. But which? Should this not be
reflected in the rpm dependencies?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.type ´emacs´ in bash

Actual Results:  error message in bash and emacs window without text
in buffer

Expected Results:  emacs window with normal text

Additional info:
Comment 1 Jens Petersen 2004-10-29 01:19:19 EDT
It seems to be the 75dpi bitmap fonts that are required.

For FC2 they're in xorg-x11-75dpi-fonts.
For FC3 that is fonts-xorg-75dpi.

Fixing in next build.
Comment 2 Johannes Kaiser 2004-10-29 06:27:01 EDT
Thanks, Jens. It works fine, now.

Note You need to log in before you can comment on or make changes to this bug.